# typelist.h File Reference

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace __gnu_cxx::typelist

## Defines

- #define _GLIBCXX_TYPELIST_CHAIN1(X0)
- #define _GLIBCXX_TYPELIST_CHAIN10(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9)
- #define _GLIBCXX_TYPELIST_CHAIN11(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10)
- #define _GLIBCXX_TYPELIST_CHAIN12(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11)
- #define _GLIBCXX_TYPELIST_CHAIN13(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12)
- #define _GLIBCXX_TYPELIST_CHAIN14(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13)
- #define _GLIBCXX_TYPELIST_CHAIN15(X0, X1, X2, X3, X4, X5, X6, X7, X8, X9, X10, X11, X12, X13, X14)
- #define _GLIBCXX_TYPELIST_CHAIN2(X0, X1)
- #define _GLIBCXX_TYPELIST_CHAIN3(X0, X1, X2)
- #define _GLIBCXX_TYPELIST_CHAIN4(X0, X1, X2, X3)
- #define _GLIBCXX_TYPELIST_CHAIN5(X0, X1, X2, X3, X4)
- #define _GLIBCXX_TYPELIST_CHAIN6(X0, X1, X2, X3, X4, X5)
- #define _GLIBCXX_TYPELIST_CHAIN7(X0, X1, X2, X3, X4, X5, X6)
- #define _GLIBCXX_TYPELIST_CHAIN8(X0, X1, X2, X3, X4, X5, X6, X7)
- #define _GLIBCXX_TYPELIST_CHAIN9(X0, X1, X2, X3, X4, X5, X6, X7, X8)

## Functions

- template<typename Fn , typename Typelist > void __gnu_cxx::typelist::apply (Fn &, Typelist)
- template<typename Fn , typename TypelistT , typename TypelistV > void __gnu_cxx::typelist::apply_generator (Fn &fn, TypelistT, TypelistV)
- template<typename Fn , typename Typelist > void __gnu_cxx::typelist::apply_generator (Fn &fn, Typelist)
- template<typename Gn , typename TypelistT , typename TypelistV > void __gnu_cxx::typelist::apply_generator (Gn &, TypelistT, TypelistV)
- template<typename Gn , typename Typelist > void __gnu_cxx::typelist::apply_generator (Gn &, Typelist)

## Detailed Description

Contains typelist_chain definitions. Typelists are an idea by Andrei Alexandrescu.

Definition in file typelist.h.